using System;

public sealed class EquipmentSlot
{
    public int Id { get; private set; }
    public EquipmentBlueprintParams Blueprint { get; private set; }

    public event Action<string> OnChangeEquipment = null;

    public EquipmentSlot(int id, EquipmentBlueprintParams blueprint) {
        Id = id;
        Blueprint = blueprint;
    }

    public void Set(int id, EquipmentBlueprintParams blueprint)
    {
        Id = id;
        Blueprint = blueprint;
        OnChangeEquipment?.Invoke(blueprint.Id);
    }
}
